using System;
using System.Collections.Generic;
using System.Text;


using CSVDownloader.Store;
namespace CSVDownloader.Exceptions {
    class SpotNameNotMatchException : Exception {

        private List<ParkingCreditCardAgenciesSpotIDError> error_list_;
        public SpotNameNotMatchException(List<ParkingCreditCardAgenciesSpotIDError> error_list) {
            error_list_ = error_list;
        }

        public List<ParkingCreditCardAgenciesSpotIDError> GetList() {
            return new List<ParkingCreditCardAgenciesSpotIDError>(error_list_);

        }
    }
}
